# ventry.host v² | File Hosting
This web application is the second version of a service called `ventry.host`. It serves as a platform for uploading images, text, and files using the ShareX program. It offers an intuitive user interface for seamless sharing.

## Installation

### Without Docker
Clone this repository to your local environment.

Ensure that PHP and Symfony are installed on your system.

Run composer install in the project directory.

Create a `.env.local` file and configure your database settings.

Set up the database with the following commands:

- `php bin/console doctrine:database:create`
- `php bin/console doctrine:migrations:migrate`

Start the Symfony development server:

- ``symfony server:start``

Access the application in your browser at http://127.0.0.1:8000.

### With Docker
Run following commands inside the docker container in the project directory:

- ``chown www-data:www-data -R public/``

Access the application in your browser at http://127.0.0.1.


## Usage
**Register**: Visit ``/register`` to create an account by providing your username and a secure password.

**Login**: After registration, log in at ``/login``.

**Upload**: Once logged in, navigate to the home page at ``/home``. You can upload images, text, and files using [ShareX](https://getsharex.com/).

## Features
- DONE:
  - User registration and login.
  - Secure password hashing.
  - User-friendly interface.
  - File Uploading.
  - ShareX integration for easy file uploads.
  - Discord Embedding.
  - User Profiles


- TODO:
  - User-friendly interface.
  - Customizable Interface and Settings.
  - Customizable File-Preview Page.

## Contributing
Contributions are welcome. Please open issues and pull requests to enhance this project.
